/* main-window.c - GNOME backup tool
                                                                                                  
   Copyright (C) 2003 Rodrigo Moya
                                                                                                  
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.
                                                                                                  
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
                                                                                                  
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
   02111-1307, USA.  */

#ifndef __CONFIGURATION_H__
#define __CONFIGURATION_H__

#include <time.h>
#include <gconf/gconf-client.h>

G_BEGIN_DECLS

void config_init (void);

typedef struct {
	gchar *name;
	gchar *path;
	gboolean backup;
	time_t last_backup;
} FileSetInfo;

const FileSetInfo *config_get_fileset_by_name (const gchar *name);
const GList       *config_get_fileset_list (void);

G_END_DECLS

#endif
